Subject: Re: yucca or yukka?
From: [email-masked] (MAD, MAD, MAD SCIENTIST)
Date: 27 Jun 94 09:06:30 -0500
Newsgroups: bionet.plants

In article <[email-masked]>, [email-masked] (A.J. HUGHES) writes:
> Does anyone have any information about the yucca (or is it spelt yukka?) 
> plant? I've recently bought one. It doesn't seem to need much water?
> 
> Also does anyone know anything about cactii? I bought a cactus with a flower 
> on it but the flower seemed to be stuck on with glue! Which cactii flower?
> 
> thanks
> 
> Alex Hughes
> 
Sounds like one of those cacti you buy in the store to which
they have attached plastic flowers. (Sometimes they even glue
on eyes).  Scientific name--  Cactus floraplasticum!

J.